//const { __, _x, _n, _nx } = wp.i18n;
jQuery(document).ready(function($){

$("#borrar").css('display','block');
$('.botonsubmit').prop('disabled', true);
ejecutarfuncion(true);


function ejecutarfuncion(resultado)
{
var callAjax = function(){    
$.ajax({
url:obj2.ajaxurl,
method:'POST',
dataType: 'json',
data:
{
	  action: 'comprobar_scrape',
      offset: obj2.offset,
      contador: obj2.contador,
	  nonce: obj2.nonce
   },
success:function(data){
		if (typeof data.porcentaje !== 'undefined') 
		{
		if (data.porcentaje == 0)
			data.porcentaje = 1;
		$("#myBar").css("width",data.porcentaje+"%");
		$("#myBar").html(data.porcentaje+"%");
		$("#resultadocarga").html(data.content);
		}
		if (data.status == 'complete')
			{
			$("#borrar").css('display','none');
			clearInterval(callAjax);
			/*location.reload();*/
			}
		if (data.status == 'canceled')
			{
			$("#borrar").css('display','none');
			$("#resultadocarga").css('display','none');
			$("#myProgress").css('display','none');
			clearInterval(callAjax);
			/*location.reload();*/
			}
		if (data.status == 'failed')
			{
			$("#myBar").css("width",data.porcentaje+"%");
			$("#myBar").html(data.porcentaje+"%");
			$("#resultadocarga").html(data.content);
			clearInterval(callAjax);
			}
}
});
}
setInterval(callAjax,2000);
}
});
